<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" />
<style type="text/css">
/*CSSは編集自由*/
ul{
	margin:0;padding:0;	
}
li {
	color: #666;
	font-size:13px;
	padding-bottom:5px;
	border-bottom:1px dotted #aaa;
	margin-bottom:5px;
}
li a{
	font-size:15px;
	color:#36f;
}
li a:hover{
	color:#009;
}
</style>
</head>
<body>
<?php 
require_once('rss_fetch.inc'); 
//以下にRSSのURLを記述　現在はこのブログのRSS
$url = 'http://www.kens-web.com/feed';

$rss = fetch_rss($url);

//表示件数（以下の場合0から10件目まで）※ただしブログ側の設定に依存します
$rss->items = @array_slice($rss->items, 0, 10);

$title = $rss->channel['title'];

//以下(変換元の文字列, 表示させるページの文字コード, RSSの文字コード) 
//EUC-JP,SJIS(Shift_JIS),UTF-8などが指定可能
$title = mb_convert_encoding($title, "UTF-8", "UTF-8");

//ブログタイトル（現在非表示。コメント外せば表示）
//echo "<h1>$title</h1>\n";

echo "<ul>\n";
foreach ($rss->items as $item ) {
	
	//以下(変換元の文字列, 表示させるページの文字コード, RSSの文字コード) 
	//EUC-JP,SJIS(Shift_JIS),UTF-8などが指定可能
	$title = mb_convert_encoding($item['title'], "UTF-8", "UTF-8");
	$desc = mb_convert_encoding($item['description'], "UTF-8", "UTF-8");
    $link = $item['link'];
	
	$up_ymd = $item['date_timestamp'];
    if($up_ymd == '') $up_ymd = strtotime($item['pubdate']);
    if($up_ymd == '') $up_ymd = strtotime($item['dc']['date']);
	
	$up_ymd = date('Y年n月j日', $up_ymd);
	
	$desc = str_replace('<a ','<a target="_blank" ',$desc);	//「続きを読む」のblank表示設定
	
//print_r($item);//日付が取得できない場合はこちらで配列を表示確認してキー（['pubdate']等）を確認

//以下タイトル表示とリンク設置（普通のHTMLなので編集可）
//下記{$desc}は記事抜粋 非表示可
 
echo <<<EOF
<li><a href="{$link}" target="_blank">{$title}</a> {$up_ymd}	
<br />{$desc}
</li>
EOF;
} 

echo "</ul>\n"; 
?> 
</body>
</html>

